2012-09-10  Mathieu Malaterre

	* [r1920] NEWS: [1.5] update NEWS file
	* [r1919] libopenjpeg/j2k.c: [1.5] Fix Heap-based buffer-overflow
	  when decoding openjpeg image
	  
	  Thanks to Huzaifa Sidhpurwala of Red Hat Security Response Team
	  for dataset to reproduce the issue.
	  Fixes issue 170
	* [r1917] libopenjpeg/event.c: [1.5] Fix issue with str_length not
	  being used. Rewrite code to prefer use of vsnprintf to prevent
	  potential buffer overflow.
	* [r1914] libopenjpeg/jpwl/crc.c, libopenjpeg/jpwl/jpwl_lib.c:
	  [1.5] remove extra trailing semicolon

2012-08-24  Mathieu Malaterre

	* [r1899] applications/codec/j2k_dump.c,
	  applications/jpip/libopenjpip/byte_manager.c,
	  libopenjpeg/jpwl/jpwl_lib.c, libopenjpeg/tcd.c: [1.5] COMP: Fix
	  warnings identified by clang31
	  
	  openjpeg/libopenjpeg/tcd.c:1884 col 48: warning: comparison of
	  unsigned expressi
	  on < 0 is always false
	  
	  openjpeg/applications/codec/j2k_dump.c:362 col 29: warning:
	  equality comparison
	  with extraneous parentheses
	  
	  openjpeg/libopenjpeg/jpwl/jpwl_lib.c:680:19: warning: format
	  specifies type 'int
	  ' but the argument has type 'long long' [-Wformat]
	  printf("Marker@%d: %X\n", cio_tell(cio) - 2, id);
	  ~^ ~~~~~~~~~~~~~~~~~
	  %lld
	  
	  openjpeg/applications/jpip/libopenjpip/byte_manager.c:58:63:
	  warning: format spe
	  cifies type 'long' but the argument has type 'OPJ_OFF_T' (aka
	  'long long') [-Wfo
	  rmat]
	  fprintf( FCGI_stderr, "Error: error in fetch_bytes( %d, %ld,
	  %lu)\n", fd, offset
	  , size);
	  
	  Author: Hans Johnson <hans-johnson@uiowa.edu>

2012-07-29  Mathieu Malaterre

	* [r1736] applications/jpip/libopenjpip/sock_manager.c: [1.5]
	  Import portion of patch from Alex Zimnitsky to fix compilation on
	  FreeBSD

2012-07-11  Mathieu Malaterre

	* [r1733] libopenjpeg/cio.c, libopenjpeg/cio.h: [1.5] Fix
	  compilation issue with Compiler Borland C++ v. 5.5
	  
	  Fixes issue 154
	* [r1732] libopenjpeg/j2k.c: [1.5] Fix r1727 (Issue 156) to compile
	  on compilers where false is not defined.
	* [r1729] libopenjpeg/j2k.c, libopenjpeg/tcd.c: [1.5] This fixes
	  issues seen on PDF files
	  
	  Fixes issue 156

2012-07-10  Mathieu Malaterre

	* [r1727] libopenjpeg/j2k.c: [1.5] Fix heap buffer overflow
	  
	  Enforce sanity checks on tile number and tile length, even when
	  the (rather
	  broken) USE_JPWL code isn't enabled.

2012-05-29  Mathieu Malaterre

	* [r1705] libopenjpeg/jp2.c: [1.5] jp2_read_boxhdr() call ignores
	  return value
	  Fixes issue 91
	* [r1704] applications/mj2/frames_to_mj2.c, applications/mj2/mj2.c,
	  applications/mj2/mj2_convert.c: [1.5] Make sure openjpeg/mj2 can
	  be compiled with gcc -std=c89
	* [r1703] libopenjpeg/tcd.c: [1.5] This commit hides symptoms of
	  CVE-2009-5030
	  
	  As explained in issue 5, comment 1. This is an easy fix to avoid
	  memory overrun.
	  Update issue 5
	  Update issue 62
	* [r1702] libopenjpeg/j2k.c,
	  tests/nonregression/test_suite.ctest.in: [1.5] Applying old patch
	  from r1642, with further modification from winfried. Also enable
	  failing test. Everything seems to be working well now.
	  Fixes issue 150
	* [r1701] libopenjpeg/tcd.c: [1.5] Import r1669 from trunk over to
	  1.5 branch
	* [r1700] libopenjpeg/j2k.c, libopenjpeg/t1.c, libopenjpeg/t2.c,
	  libopenjpeg/tcd.c: [1.5] Apply private patch from Alex Macfarlane
	  Smith
	  This gets rids of a lot memory leaks when used on device with low
	  memory
	* [r1696] applications/codec/convert.c, libopenjpeg/jp2.c: [1.5]
	  The two files in Issue145 have a precision < 8-bit:
	  therefore 'jp2_read_pclr' must be changed.
	  
	  j2k_to_image fails to create RGB/RGBA images with a
	  precision < 8-bit: therefore 'imagetopng' must be
	  changed.
	  Update issue 145
	* [r1694] libopenjpeg-jpwl.pc.in, libopenjpeg/Makefile.am: [1.5]
	  Fix autotools installation. Thanks to winfried for patch.
	  Update issue 149
	* [r1693] libopenjpeg/opj_malloc.h: [1.5] Fix compilation on
	  FreeBSD. Thanks to rafael carre (funman@videolan.org) for patch.
	  
	  Fixes issue 111

2012-05-21  Mathieu Malaterre

	* [r1686] libopenjpeg/opj_malloc.h: [1.5] Build fails on AIX
	  
	  Fixes issue 139
	* [r1683] doc/man/man1/image_to_j2k.1, doc/man/man1/j2k_to_image.1,
	  doc/man/man3/libopenjpeg.3: [1.5] Man page syntax fixes. Thanks
	  to vskytta for patch.
	  
	  Fixes issue 147
	* [r1682] libopenjpeg/tcd.c: [1.5] fix compilation warning about
	  lrintf being implicit.
	  
	  Fixes issue 144

2012-04-23  Mathieu Malaterre

	* [r1649] libopenjpeg/j2k.c: [1.5] Revert r1642, as explained on
	  https://groups.google.com/group/openjpeg/msg/77a67fef94a0309b
	* [r1648] tests/nonregression/test_suite.ctest.in: [1.5] Adding
	  test suite for file409752.jp2
	* [r1647] CMakeLists.txt: [1.5] Make it easier to find /data from
	  within 1.5 sub-branch
	* [r1643] applications/JavaOpenJPEG/JavaOpenJPEG.c,
	  applications/JavaOpenJPEG/JavaOpenJPEGDecoder.c,
	  applications/codec/convert.c: [1.5] Integrate patch from winfried
	  posted on the mailing list. See here for more info:
	  https://groups.google.com/group/openjpeg/msg/6488859a0dce77
	* [r1642] libopenjpeg/j2k.c: [1.5] Integrate patch from winfried
	  posted on the mailing list. See here for more info:
	  https://groups.google.com/group/openjpeg/msg/1bbf7ae7ddee3a51
	* [r1640] applications/mj2/extract_j2k_from_mj2.c,
	  applications/mj2/frames_to_mj2.c, applications/mj2/mj2.h,
	  applications/mj2/mj2_to_frames.c,
	  applications/mj2/wrap_j2k_in_mj2.c, libopenjpeg/openjpeg.h: [1.5]
	  Integrate patch from winfried posted on the mailing list. See
	  here for more info:
	  https://groups.google.com/group/openjpeg/msg/7e30b6e288ad5908

2012-04-20  Mathieu Malaterre

	* [r1637] applications/jpip/util/CMakeLists.txt,
	  applications/jpip/util/addXMLinJP2.c: [1.5] Need to
	  compile/install tool to embed XML file in JP2 for jpip server

2012-04-19  Mathieu Malaterre

	* [r1636] applications/JavaOpenJPEG/CMakeLists.txt,
	  applications/jpip/util/CMakeLists.txt: [1.5] jar files are arch
	  independant. We can install them safely in share
	* [r1635] applications/jpip/util/CMakeLists.txt: [1.5] Add install
	  rules for openjpip client
	* [r1634] applications/JavaOpenJPEG/CMakeLists.txt: [1.5] Add
	  missing symbols from getopt into the java glue lib
	* [r1633] applications/JavaOpenJPEG/CMakeLists.txt: [1.5] resolve
	  missing symbols from convert.c/index.c
	* [r1632] applications/JavaOpenJPEG/CMakeLists.txt: [1.5] Add
	  explicit linking from glue java lib to real openjpeg lib
	* [r1631] applications/JavaOpenJPEG/CMakeLists.txt: [1.5] install
	  java module
	* [r1630] CMake/OpenJPEGConfig.cmake.in, CMakeLists.txt: [1.5] Fix
	  computation of relative path from include/ to lib/

2012-04-18  Mathieu Malaterre

	* [r1629] CMakeLists.txt, libopenjpeg/jpwl/CMakeLists.txt,
	  tests/unit/testempty1.c, tests/unit/testempty2.c: [1.5] fix
	  compilation warnings on windows box

2012-04-16  Mathieu Malaterre

	* [r1628] libopenjpeg/jpwl/CMakeLists.txt: [1.5] debian tools
	  detected a missing link to math lib

2012-04-06  Mathieu Malaterre

	* [r1626] tests/CMakeLists.txt, tests/unit,
	  tests/unit/CMakeLists.txt, tests/unit/testempty1.c,
	  tests/unit/testempty2.c: [1.5] Adding some simple unit tests

2012-04-05  Mathieu Malaterre

	* [r1625] CMakeLists.txt: [1.5] introduce fix for the SOVERSION
	  regression introduced in 1.5.0

2012-03-16  Mathieu Malaterre

	* [r1571] applications/jpip/libopenjpip/j2kheader_manager.c,
	  applications/jpip/libopenjpip/query_parser.c: [1.5] Remove a
	  simple warning report
	* [r1570] applications/jpip/libopenjpip/query_parser.c: [1.5] I
	  think == was meant here.

2012-03-02  Mathieu Malaterre

	* [r1534] applications/jpip/libopenjpip/channel_manager.c: [1.5]
	  Remove a warning about undefined snprintf on windows compiler.
	* [r1533] applications/jpip/libopenjpip/auxtrans_manager.c,
	  applications/jpip/libopenjpip/byte_manager.h,
	  applications/jpip/libopenjpip/channel_manager.c,
	  applications/jpip/libopenjpip/channel_manager.h,
	  applications/jpip/libopenjpip/codestream_manager.c,
	  applications/jpip/libopenjpip/j2kheader_manager.c,
	  applications/jpip/libopenjpip/jp2k_decoder.c,
	  applications/jpip/libopenjpip/manfbox_manager.c,
	  applications/jpip/libopenjpip/marker_manager.c,
	  applications/jpip/libopenjpip/mhixbox_manager.c,
	  applications/jpip/libopenjpip/session_manager.c,
	  applications/jpip/libopenjpip/session_manager.h: [1.5] Change the
	  logic in byte_manager.h. Prefer the use of stdint.h when
	  available. Default to compiler specific mecanism otherwise.
	  Remove some c++ comments. Fix signed vs unsigned comparison
	* [r1527] doc/CMakeLists.txt, doc/Doxyfile.dox.cmake.in: [1.5]
	  Finish import of r963
	* [r1526] ., doc/Doxyfile.dox, doc/Doxyfile.dox.cmake.in,
	  doc/mainpage.dox.cmake[CPY]: [1.5] merge r963 from trunk over to
	  branch 1.5
	* [r1524] tests/nonregression/test_suite.ctest.in: [1.5] Convert
	  from DOS eol to UNIX eol
	* [r1517] libopenjpeg/jpwl/README.txt, libopenjpeg/jpwl/crc.c,
	  libopenjpeg/jpwl/jpwl.c: [1.5] Set from DOS eol to UNIX eol
	* [r1510] libopenjpeg/cidx_manager.c: [1.5] Sync with trunk and
	  remove uneeded include headers
	* [r1506] applications/mj2/extract_j2k_from_mj2.c,
	  applications/mj2/frames_to_mj2.c, applications/mj2/mj2.c: [1.5]
	  Import rev 1053 from trunk over to 1.5
	* [r1504] applications/codec/j2k_dump.c: [1.5] Fix typo in date.
	* [r1496] applications/jpip/libopenjpip/comMakefile.mk[DEL]: [1.5]
	  Sync with trunk. Remove remainings bits of old Makefile based
	  build system
	* [r1492] applications/codec/index.c, applications/codec/index.h,
	  applications/codec/windirent.h: [1.5] Convert from DOS eol to
	  UNIX eol
	* [r1488] applications/OPJViewer/CMakeLists.txt,
	  applications/OPJViewer/OPJViewer.iss,
	  applications/OPJViewer/Readme.txt,
	  applications/OPJViewer/about/about.htm,
	  applications/OPJViewer/source/OPJAbout.cpp,
	  applications/OPJViewer/source/OPJChild16.xpm,
	  applications/OPJViewer/source/OPJDialogs.cpp,
	  applications/OPJViewer/source/OPJThreads.cpp,
	  applications/OPJViewer/source/OPJViewer.cpp,
	  applications/OPJViewer/source/OPJViewer.h,
	  applications/OPJViewer/source/OPJViewer.rc,
	  applications/OPJViewer/source/OPJViewer16.xpm,
	  applications/OPJViewer/source/about_htm.h,
	  applications/OPJViewer/source/build.h,
	  applications/OPJViewer/source/imagjpeg2000.cpp,
	  applications/OPJViewer/source/imagjpeg2000.h,
	  applications/OPJViewer/source/imagmxf.cpp,
	  applications/OPJViewer/source/imagmxf.h,
	  applications/OPJViewer/source/license.txt,
	  applications/OPJViewer/source/readmeafter.txt,
	  applications/OPJViewer/source/readmebefore.txt,
	  applications/OPJViewer/source/wxj2kparser.cpp,
	  applications/OPJViewer/source/wxjp2parser.cpp: [1.5] Use UNIX eol
	  for source code
	* [r1486] INSTALL: [1.5] Sync with trunk.
	* [r1482] CMakeLists.txt: [1.5] As discussed on the mailing list.
	  OpenJPEG should be compatible with Multi-Arch distros. Thanks to
	  Rex for report
	* [r1481] applications/jpip/libopenjpip/box_manager.c,
	  applications/jpip/libopenjpip/box_manager.h,
	  applications/jpip/libopenjpip/boxheader_manager.c,
	  applications/jpip/libopenjpip/byte_manager.h,
	  applications/jpip/libopenjpip/cachemodel_manager.c,
	  applications/jpip/libopenjpip/cachemodel_manager.h,
	  applications/jpip/libopenjpip/imgreg_manager.c,
	  applications/jpip/libopenjpip/imgreg_manager.h,
	  applications/jpip/libopenjpip/jp2k_encoder.c,
	  applications/jpip/libopenjpip/jpip_parser.c,
	  applications/jpip/libopenjpip/manfbox_manager.c,
	  applications/jpip/libopenjpip/manfbox_manager.h,
	  applications/jpip/libopenjpip/metadata_manager.c,
	  applications/jpip/libopenjpip/metadata_manager.h,
	  applications/jpip/libopenjpip/placeholder_manager.c,
	  applications/jpip/libopenjpip/placeholder_manager.h,
	  applications/jpip/libopenjpip/target_manager.c,
	  applications/jpip/libopenjpip/target_manager.h,
	  applications/jpip/util/jpip_to_j2k.c,
	  applications/jpip/util/opj_server.c: [1.5] Fix a bunch of
	  comparison between signed and unsigned integer expressions. Some
	  are still left to decide.

2012-03-01  Mathieu Malaterre

	* [r1480] applications/jpip/libopenjpip/openjpip.c: [1.5] Fix rev
	  1474, typo in the spelling.
	* [r1479] libopenjpeg/jpwl/jpwl.c: [1.5] Fix a warning about
	  comparison of ulong >= 0. Thanks to winfried for report.
	* [r1475] applications/codec/convert.c: [1.5] Apply big-endian
	  patch from winfried: libopenjpeg and WORDS_BIGENDIAN, 2012/02/14
	* [r1474] applications/jpip/libopenjpip/openjpip.c: Fix a warning
	  reported on the continuous dashboard for linux.
	* [r1473] applications/codec/convert.c: [1.5] j2k_to_image does not
	  support writing image with precision less than 8bits. Simply give
	  up for now. Thanks to winfried for report. Also add static
	  keyword for undeclared function in convert.h
	* [r1472] applications/jpip/libopenjpip/jpipstream_manager.c,
	  applications/jpip/libopenjpip/jpipstream_manager.h: [1.5] Fix a
	  warning about conversion from const char* to char*
	* [r1471] CMakeLists.txt: [1.5] cmake recommends the use of
	  fullpath. Thanks to winfried for report.
	* [r1468] libopenjpeg/jpwl/CMakeLists.txt: [1.5] Fix JPWL's DLL
	  installation. Thanks to winfried for report.

2012-02-29  Kaori Hagihara

	* [r1467] applications/jpip/README: [1.5][JPIP] README modification
	  regarding the JP2 encoding

2012-02-28  Rex Dieter

	* [r1464] CMakeLists.txt, libopenjpeg/CMakeLists.txt,
	  libopenjpeg1.pc.cmake: allow finer-grain control of header
	  location via OPENJPEG_INSTALL_INCLUDE_DIR
	* [r1463] CMakeLists.txt, libopenjpeg1.pc.cmake: fix assumptions
	  that OPENJPEG_INSTALL_*_DIR aren't relative paths

2012-02-28  Kaori Hagihara

	* [r1462] applications/jpip/CHANGES,
	  applications/jpip/libopenjpip/comMakefile.mk,
	  applications/jpip/libopenjpip/jpip_parser.c,
	  applications/jpip/libopenjpip/metadata_manager.c,
	  applications/jpip/libopenjpip/openjpip.c,
	  applications/jpip/libopenjpip/query_parser.c,
	  applications/jpip/util/opj_server.c: [1.5][JPIP] enabled the
	  opj_server to reply the first query consisting with len request
	  from kakadu client

2012-02-23  Rex Dieter

	* [r1460] libopenjpeg1.pc.cmake, libopenjpeg1.pc.in: fix pkgconfig
	  to include -I/usr/include/openjpeg-1.5 in cflags (issue #118)

2012-02-17  Mathieu Malaterre

	* [r1444] applications/jpip/util/CMakeLists.txt: [1.5] allow
	  mecanism to provide JFLAGS

2012-02-16  Mathieu Malaterre

	* [r1437] CMakeLists.txt: only install CHANGES when present
	* [r1436] applications/jpip/util/opj_dec_server.c: remove a warning
	  about unused variable

2012-02-14  Mathieu Malaterre

	* [r1435] CMake/CTestCustom.cmake.in: Hide some warnings generated
	  by 3rd party libs
	* [r1434] applications/jpip/util/opj_dec_server.c: Make the code
	  C90 compliant for VS2010
	* [r1433] applications/jpip/util/CMakeLists.txt: Work around issue
	  with FindJava module

2012-02-13  Mathieu Malaterre

	* [r1429] applications/jpip/libopenjpip/sock_manager.c: Use C style
	  comment.
	* [r1424] applications/jpip/libopenjpip/sock_manager.c: [1.5] Need
	  to include unistd for close() declaration
	* [r1423] applications/jpip/util/CMakeLists.txt: By default,
	  openjpip client can still built even without java compiler. Print
	  a message to the user as warning.
	* [r1422] applications/jpip/CMakeLists.txt: [1.5] Fix typo in
	  CMAKE_USE_PTHREADS vs CMAKE_USE_PTHREADS_INIT
	* [r1420] CMake/FindFCGI.cmake: [1.5] Backport diff from trunk
	* [r1419] CMake/FindPTHREAD.cmake[DEL],
	  applications/jpip/CMakeLists.txt,
	  applications/jpip/libopenjpip/CMakeLists.txt: [1.5] Remove use of
	  custom PTHREAD module. Prefer cmake's one.

2012-02-10  Kaori Hagihara

	* [r1405] applications/jpip/CHANGES, applications/jpip/README,
	  applications/jpip/util/opj_dec_server.c,
	  applications/jpip/util/opj_viewer/src/ImageManager.java,
	  applications/jpip/util/opj_viewer/src/ImageWindow.java,
	  applications/jpip/util/opj_viewer/src/ImgdecClient.java,
	  applications/jpip/util/opj_viewer_xerces/src/ImageWindow.java:
	  [1.5][JPIP] added execution argument to set port number for
	  opj_dec_server, opj_viewer*
	* [r1404] applications/jpip/CHANGES,
	  applications/jpip/doc/Doxyfile: [1.5][JPIP] fixed Doxygen
	  configuration file to document the utilities

2012-02-10  Antonin Descampe

	* [r1403] CMakeLists.txt, libopenjpeg/CMakeLists.txt: [1.5] revert
	  r1399 and r1400
	* [r1402] doc/Makefile.am: [1.5] fixed an error in autotools that
	  prevented the build because no CHANGES file anymore

2012-02-10  Rex Dieter

	* [r1401] CMake/OpenJPEGConfig.cmake.in: make OpenJPEGConfig.cmake
	  provide useful (non-empty) values
	* [r1400] libopenjpeg/CMakeLists.txt: make openjpeg.h header
	  symlink to match autotools
	* [r1399] CMakeLists.txt: install cmake/pkgconfig bits in LIB_DIR

2012-02-07  Antonin Descampe

	* [r1391] CMake/OpenJPEGCPack.cmake: update OpenJPEGCPack.cmake
	  with correct package names

